Name: liblastfm
Version: 1.0.9
Release: %mkrel 1
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services
License: GPLv3 
Group: System/Libraries
Source: https://github.com/lastfm/%{name}/archive/%{name}-%{version}.tar.xz
URL: https://github.com/lastfm/liblastfm/
BuildRequires: pkgconfig 
BuildRequires: libsamplerate-devel
BuildRequires: ruby
BuildRequires: cmake
BuildRequires: %{_lib}fftw-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5xml-devel

%description
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

#---------------------------------------------------------------------

%define lastfm_major 1

%define libname %mklibname lastfm %{lastfm_major}

%package -n %{libname}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{libname}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt4.

%files -n %{libname}
%{_libdir}/liblastfm.so.%{lastfm_major}*


%define lib5name %mklibname lastfm 5 %{lastfm_major}

%package -n %{lib5name}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{lib5name}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt5.

%files -n %{lib5name}
%{_libdir}/liblastfm5.so.%{lastfm_major}*

#---------------------------------------------------------------------

%define finger_major 1

%define libnamefinger %mklibname lastfm_fingerprint %{finger_major}

%package -n %{libnamefinger}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{libnamefinger}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt4.

%files -n %{libnamefinger}
%{_libdir}/liblastfm_fingerprint.so.%{finger_major}*


%define lib5namefinger %mklibname lastfm_fingerprint 5 %{finger_major}

%package -n %{lib5namefinger}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{lib5namefinger}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt5.

%files -n %{lib5namefinger}
%{_libdir}/liblastfm_fingerprint5.so.%{finger_major}*

#---------------------------------------------------------------------

%define develname %mklibname lastfm -d

%package -n %{develname}
Group: Development/Libraries
Summary: %{name} development header
Requires: %{libname} = %{version}-%{release}
Requires: %{libnamefinger} = %{version}-%{release}
Requires: %{lib5name} = %{version}-%{release}
Requires: %{lib5namefinger} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Summary: %{name} development header
Install this package if you want do compile applications
using the lastfm library.

%files -n %{develname}
%doc README COPYING
%{_libdir}/*.so
%{_includedir}/*

#---------------------------------------------------------------------

%prep
%setup -q

%build

mkdir Qt4
pushd Qt4
%cmake_qt4 -DBUILD_FINGERPRINT=ON -DBUILD_WITH_QT4=ON ../..
%make
popd

mkdir Qt5
pushd Qt5
%cmake_qt5 -DBUILD_FINGERPRINT=ON -DBUILD_WITH_QT4=OFF ../..
%make
popd

%install
rm -rf %buildroot
%makeinstall_std -C Qt4/build
%makeinstall_std -C Qt5/build

mv README.md README


%changelog
* Fri Apr 15 2016 bb <bb> 1.0.9-1pclos2016
- update build qt4 and qt5 libs

* Fri Apr 15 2016 bb <bb> 1.0.9-1pclos2016
- update

* Thu Apr 11 2013 Texstar <texstar at gmail.com. 1.0.6-1pclos2013
- 1.0.6
